claw::graphic::targa::writer::file_output_buffer< Pixel > Class Template Reference

The type of the output buffer associated with the file when encoding RLE data. More...

`#include <targa.hpp>`

## Public Types

typedef Pixel | pixel_type
| The type of the pixels in the input buffer.
typedef pixel_type | pattern_type
| The type of the patterns to encode.

## Public Member Functions

| file_output_buffer (std::ostream &os)
void | encode (unsigned int n, pattern_type pattern)
template<typename Iterator>
void | raw (Iterator first, Iterator last)
unsigned int | min_interesting () const
unsigned int | max_encodable () const
void | order_pixel_bytes (const pixel_type &p)
| Write a pixel in the stream and set its value in the good order.
void | order_pixel_bytes (const pixel_type &p)
| Write a pixel in the stream and set its value in the good order.

## Detailed Description

template<typename Pixel>
class claw::graphic::targa::writer::file_output_buffer< Pixel >

The type of the output buffer associated with the file when encoding RLE data.

Template parameters

- Pixel, the type of the pixels in the output buffer.

Definition at line 422 of file targa.hpp.

## Member Typedef Documentation

## pattern_type

template<typename Pixel>

typedef pixel_type claw::graphic::targa::writer::file_output_buffer< Pixel >::pattern_type

The type of the patterns to encode.

Definition at line 429 of file targa.hpp.

## pixel_type

template<typename Pixel>

typedef Pixel claw::graphic::targa::writer::file_output_buffer< Pixel >::pixel_type

The type of the pixels in the input buffer.

Definition at line 426 of file targa.hpp.

## Member Function Documentation

## order_pixel_bytes() [1/2]

void claw::graphic::targa::writer::file_output_buffer< claw::graphic::rgba_pixel_8 >::order_pixel_bytes | ( | const pixel_type & | p | ) |

Write a pixel in the stream and set its value in the good order.

Parameters

  p | The pixel to write.

Remarks
  This method is specialized for the pixels of type claw::graphic::rgba_pixel_32.

Definition at line 52 of file targa_writer.cpp.

## order_pixel_bytes() [2/2]

template<typename Pixel>

void claw::graphic::targa::writer::file_output_buffer< Pixel >::order_pixel_bytes | ( | const pixel_type & | p | ) |

Write a pixel in the stream and set its value in the good order.

Parameters

  p | The pixel to write.

The documentation for this class was generated from the following file:

- targa.hpp